<%

  '-----------------------------------------------------
  ' SocketFTP 1.0 - by AdeN - aden@aden.com.br
  '-----------------------------------------------------
  ' Aps cada comando, verifique a variavel ErrorMessage
  ' para identificar se o comando foi interpretado com
  ' sucesso pelo servidor FTP.
  '
  '-----------------------------------------------------

  Set Obj = Server.CreateObject("SocketObject.Ftp")

  '-----------------------------------------------------
  'Configura a conexo
  '-----------------------------------------------------
  obj.Host     = "ftp.teste.com.br"
  obj.UserName = "teste"
  obj.Password = "teste"

  '-----------------------------------------------------
  'Configura o Proxy
  '-----------------------------------------------------
  'obj.ProxyHost = "proxy"
  'obj.ProxyPort = 21
  'obj.ProxyType = 0
  '
  ' Help do ProxyType:
  '0 = sem proxy
  '1 = Envia o comando USER user@hostname
  '2 = Envia o comando SITE (com logon)
  '3 = Envia o comando OPEN
  '4 = Envia o comando USER user@firewalluser@hostname / PASS pass@firewallpass
  '5 = First use the USER and PASS command with the firewall username and password, and then with the target host username and password.

  '-----------------------------------------------------
  'Conecta-se ao servidor
  '-----------------------------------------------------
  obj.Connect
  Response.Write Obj.ErrorMessage

  '-----------------------------------------------------
  'Muda o diretorio do servidor
  '-----------------------------------------------------
  obj.ChangeDir "/temp"
  Response.Write "O diretrio atual  " & obj.CurrentDir & "<BR>"
  Response.Write Obj.ErrorMessage

  '-----------------------------------------------------
  'Busca um arquivo no servidor e salva na pasta C:\temp
  '-----------------------------------------------------
  obj.Download "teste.asp","c:\temp\teste.asp"
  Response.Write Obj.ErrorMessage

  '-----------------------------------------------------
  'Cria uma nova pasta no servidor
  '-----------------------------------------------------
  obj.MakeDir "\temp\novapasta"
  Response.Write Obj.ErrorMessage

  '-----------------------------------------------------
  'Envia um arquivo para essa pasta
  '-----------------------------------------------------
  obj.Upload "c:\temp\teste.asp","\temp\novapasta\novo.asp"
  obj.Upload "c:\temp\teste.asp","\temp\novapasta\novo2.asp"
  Response.Write Obj.ErrorMessage

  '-----------------------------------------------------
  'Apaga um arquivo nessa pasta
  '-----------------------------------------------------
  obj.Delete "\temp\novapasta\novo2.asp"
  Response.Write Obj.ErrorMessage

  '-----------------------------------------------------
  'Pega a lista de arquivos do diretorio corrente
  '-----------------------------------------------------
  Response.Write "<BR><BR>Lista de Arquivos da pasta " & Obj.CurrentDir & "<BR><BR>"
  Dir = obj.DirectoryList
  Arr = Split(Dir,Chr(13)& Chr(10))
  For x = 1 to UBound(Arr)
     Response.Write Arr(x) & "<BR>"
  Next

  '-----------------------------------------------------
  'Realiza a desconexo
  '-----------------------------------------------------
  obj.Disconnect
  Response.Write Obj.ErrorMessage

  Set Obj = nothing

%>					  